Channelized Docs
API referenceCustomer sign-in

Revoke a token

Token revocation (RFC 7009). Answers 200 whether or not the token was known. Only for a company that has set up customer sign-in; for any other company it answers 404.

POST
/v1/{tenantKey}/oauth/revoke

Path Parameters

tenantKeystring

The company’s key: the short name in its assistant’s address. It appears in the console’s address and on its Connect an assistant page.

Header Parameters

Authorization?string

HTTP Basic, with the client id as the username. Send this or client_id in the form.

tokenstring
client_id?string

Required unless sent as the HTTP Basic username.

Response Body

curl -X POST "https://api.eu.channelized.ai/v1/string/oauth/revoke" \  -H "Authorization: string" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'token=string'
Empty